4

I am new to the world of Ubuntu. Just few months into using it. I was trying to use axi-cache command from the package apt-xapian-index. Instead of returning the results, it throws the following message/error:

No module named 'ConfigParser': only help functions are implemented, for the sake of help2man

While 'strace'ing the command, I found that it is trying to find a python module named ConfigParser in the directory /usr/lib/python3/dist-packages. I have python, python versions 2.7, 3, & 3.5 installed. Tried to install the module ConfigParser using python3-pip, but it only installs it on python3.5 as python3 is sym-linked to python3.5.

How do I resolve this?

I am running Ubuntu 16.04 LTS Desktop.

2

This is a bug and there is a bug report for it at https://bugs.launchpad.net/ubuntu/+source/apt-xapian-index/+bug/1612948. You can attempt to port all the Python scripts in the package to Python 3 but this is probably too much work. I suggest you visit the bug report and mark it as "Yes, it affects me" to let the devs know of this bug.

0

Not the answer you're looking for? Browse other questions tagged or ask your own question.